Skip to content

Delete interaction

Request

Delete an interaction. Only external interactions (interactions created by lenders via API) can be deleted.

Security
oauth2(Required scopes: interaction:delete) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

interactionIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Interaction's unique identifier to track interactions for. Can be Peach or lender's external identifier.

DELETE
/people/{personId}/interactions/{interactionId}
curl -i -X DELETE \
  'https://sandboxapi.peach.finance/api/people/{personId}/interactions/{interactionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success